package handler

import (
	"context"

	"git.optclblast.xyz/draincloud/draincloud-core/internal/common"
)

type Writer interface {
	Write(ctx context.Context, resp any)
}

type Handler struct {
	Name                  string
	RequiredResolveParams []string
	ProcessFn             func(ctx context.Context, req *common.Request, w Writer) error
}
